### Property

# Gtk IconView:selection-mode

#### Declaration

    property selection-mode: Gtk.SelectionMode [ read, write ]

#### Description [src]

The ::selection-mode property specifies the selection mode of icon view. If the mode is `GTK_SELECTION_MULTIPLE`, rubberband selection is enabled, for the other modes, only keyboard selection is possible.

Type: | `GtkSelectionMode`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no